package pps.core.space.service.data;

import cn.hutool.core.date.DateTime;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 间开优化权重
 *
 * @author ZWT
 * @date 2024/04/11 15:40
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class SpaceOptimizeWeight {

    /**
     * 时间戳
     */
    private DateTime timestamp;

    /**
     * 权重
     */
    private BigDecimal weight;

    /**
     * 发电量
     */
    private BigDecimal power;

    /**
     * 电量是否满足标识
     */
    private Boolean batteryLowFlag;
}
